package com.sunxung.factoring.entity.ledger.vo;

import java.math.BigDecimal;

/**
 * @Description : 同一业务编号下金额占用实体类
 * @Author : L.Jia
 * @Date: 2024-03-16 15:17
 */
public class GoodsOccupyVo {

    //业务编号
    private String businessNumber;

    //业务下的履约保证金上限
    private BigDecimal depositLimit;

    //质保金上限
    private BigDecimal retentionLimit;

    //剩余可分配质保金
    private BigDecimal surplusRetentionAmount;

    //质保金比例
    private BigDecimal retentionPercent;

    //已经占用计提金额
    private BigDecimal occupyAmount;

    //剩余可用计提金额
    private BigDecimal surplusAccrualAmount;

    public GoodsOccupyVo(String businessNumber, BigDecimal depositLimit, BigDecimal retentionLimit, BigDecimal surplusRetentionAmount,
                         BigDecimal retentionPercent, BigDecimal occupyAmount, BigDecimal surplusAccrualAmount) {
        this.businessNumber = businessNumber;
        this.depositLimit = depositLimit;
        this.retentionLimit = retentionLimit;
        this.surplusRetentionAmount = surplusRetentionAmount;
        this.retentionPercent = retentionPercent;
        this.occupyAmount = occupyAmount;
        this.surplusAccrualAmount = surplusAccrualAmount;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public BigDecimal getDepositLimit() {
        return depositLimit;
    }

    public void setDepositLimit(BigDecimal depositLimit) {
        this.depositLimit = depositLimit;
    }

    public BigDecimal getRetentionLimit() {
        return retentionLimit;
    }

    public void setRetentionLimit(BigDecimal retentionLimit) {
        this.retentionLimit = retentionLimit;
    }

    public BigDecimal getRetentionPercent() {
        return retentionPercent;
    }

    public void setRetentionPercent(BigDecimal retentionPercent) {
        this.retentionPercent = retentionPercent;
    }

    public BigDecimal getSurplusRetentionAmount() {
        return surplusRetentionAmount;
    }

    public void setSurplusRetentionAmount(BigDecimal surplusRetentionAmount) {
        this.surplusRetentionAmount = surplusRetentionAmount;
    }

    public BigDecimal getSurplusAccrualAmount() {
        return surplusAccrualAmount;
    }

    public void setSurplusAccrualAmount(BigDecimal surplusAccrualAmount) {
        this.surplusAccrualAmount = surplusAccrualAmount;
    }

    public BigDecimal getOccupyAmount() {
        return occupyAmount;
    }

    public void setOccupyAmount(BigDecimal occupyAmount) {
        this.occupyAmount = occupyAmount;
    }
}
